%define        pkg_version %(echo %version | tr . _)
Name:          libteckit
Version:       2.5.7
Release:       1mamba
Summary:       A Text Encoding Conversion toolkit
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://scripts.sil.org/teckit
Source:        https://github.com/silnrsi/teckit.git/v%{version}/teckit-%{version}.tar.bz2
Patch0:        libteckit-2.5.1-includes.patch
License:       Common Public License Version 0.5, GPL, LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libexpat-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
TECkit is a low-level toolkit intended to be used by other applications that need to perform encoding conversions (e.g., when importing legacy data into a Unicode-based application).
The primary component of the TECkit package is therefore a library that performs conversions; this is the "TECkit engine".
The engine relies on mapping tables in a specific binary format (for which documentation is available); there is a compiler that creates such tables from a human-readable mapping description (a simple text file).

%package devel
Group:         Development/Libraries
Summary:       Libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
A Text Encoding Conversion toolkit.

This package contains static libraries and header files need for development.

%package static
Group:         Development/Libraries
Summary:       Static libraries for %{name}
Requires:      %{name}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description static
A Text Encoding Conversion toolkit.

This package contains static libraries need for development.

%prep
%setup -q -n teckit-%{version}
%patch0 -p1

#sed -i "s|AM_CONFIG_HEADER|AC_CONFIG_HEADERS|" configure.ac
#chmod 755 ./autogen.sh
#rm -rf zlib*

%build
sh ./autogen.sh
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel -p /sbin/ldconfig
%postun devel -p /sbin/ldconfig

%files
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/sfconv
%attr(0755,root,root) %{_bindir}/teckit_compile
%attr(0755,root,root) %{_bindir}/txtconv
%attr(0755,root,root) %{_libdir}/libTECkit.so.*
%attr(0755,root,root) %{_libdir}/libTECkit_Compiler.so.*
%{_mandir}/man1/sfconv.1*
%{_mandir}/man1/teckit_compile.1*
%{_mandir}/man1/txtconv.1*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/teckit
%{_includedir}/teckit/*.h
%{_libdir}/libTECkit.so
%{_libdir}/libTECkit_Compiler.so
%{_libdir}/pkgconfig/teckit.pc
%doc docs/*.pdf
%doc ChangeLog NEWS README
%doc license/L*.txt

%files static
%defattr(-,root,root)
%{_libdir}/libTECkit.*a
%{_libdir}/libTECkit_Compiler.*a

%changelog
* Thu Aug 10 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.7-1mamba
- update to 2.5.7

* Sun Mar 31 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.1-2mamba
- rebuilt in devel

* Thu Nov 11 2010 gil <puntogil@libero.it> 2.5.1-1mamba
- package created by autospec
